> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an org-level playbook

> Create a playbook for an organization.

## Permissions

Requires a service user with the `ManageAccountPlaybooks` permission for the specified organization.


## OpenAPI

````yaml /v3-openapi.yaml POST /v3/organizations/{org_id}/playbooks
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/playbooks:
    post:
      tags:
        - playbooks
      summary: Create an org-level playbook
      description: Create a playbook for an organization.
      operationId: handle_create_playbook_v3_organizations__org_id__playbooks_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlaybookCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaybookResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PlaybookCreateRequest:
      properties:
        body:
          title: Body
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Playbook macro identifier. Must start with '!' followed by one or
            more letters, digits, underscores, or hyphens. Example: '!my_macro'
            or '!my-macro'
          title: Macro
        title:
          title: Title
          type: string
      required:
        - title
        - body
      title: PlaybookCreateRequest
      type: object
    PlaybookResponse:
      properties:
        access_type:
          enum:
            - enterprise
            - org
          title: Access Type
          type: string
        body:
          title: Body
          type: string
        created_at:
          title: Created At
          type: integer
        created_by:
          title: Created By
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        playbook_id:
          title: Playbook Id
          type: string
        title:
          title: Title
          type: string
        updated_at:
          title: Updated At
          type: integer
        updated_by:
          title: Updated By
          type: string
      required:
        - playbook_id
        - title
        - body
        - macro
        - created_by
        - updated_by
        - created_at
        - updated_at
        - access_type
        - org_id
      title: PlaybookResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````